# Poco::Net

# class HTTPStreamBuf

Library: Net
Package: HTTP
Header: Poco/Net/HTTPStream.h

## Description

This is the streambuf class used for reading and writing HTTP message bodies.

## Inheritance

Direct Base Classes: HTTPBasicStreamBuf

All Base Classes: HTTPBasicStreamBuf

## Member Summary

Member Functions: close, readFromDevice, writeToDevice

## Types Aliases

### openmode

using openmode = HTTPBasicStreamBuf::openmode;

## Constructors

### HTTPStreamBuf

HTTPStreamBuf(
HTTPSession & session,
openmode mode
);

## Destructor

### ~HTTPStreamBuf

~HTTPStreamBuf();

## Member Functions

### close

void close();

### readFromDevice

int readFromDevice(
char * buffer,
std::streamsize length
);

### writeToDevice

int writeToDevice(
const char * buffer,
std::streamsize length
);